package com.oracle.truffle.r.engine;

import java.io.PrintWriter;
import java.io.Serializable;
import java.io.StringWriter;

import org.apache.hadoop.hive.ql.exec.UDF;
import org.graalvm.polyglot.Context;
import org.graalvm.polyglot.Value;

public class RExecute extends UDF {
    public static String evaluate(final String program) {
        Context rContext;
        try {
            rContext = Context.newBuilder("sl").build();
        } catch (IllegalArgumentException e) {
            throw new RuntimeException(e.getMessage());
        }
        try {
            final org.graalvm.polyglot.Source source = org.graalvm.polyglot.Source.newBuilder("R", program, "mySrc").build();
            Value result = rContext.eval(source);
            final Object res = result.getReceiver();
            if (res instanceof Serializable)
                return res.toString();
            return result.getSourceLocation().getCharacters().toString();
        } catch (Exception e) {
            StringWriter sw = new StringWriter();
            PrintWriter pw = new PrintWriter(sw);
            e.printStackTrace(pw);
            throw new RuntimeException(sw.toString());
        }
    }
}
